.works .worksList {
    display: flex;
    flex-wrap: wrap;
    margin-top: 20px;
}
.works .worksList .item {
    position: relative;
    display: inline-block;
    width: 273px;
    margin: 0 25px 25px 0;
    vertical-align: top;
    box-shadow: 0 0 10px #ccc;
}
.works .worksList .item:nth-child(4n) {
    margin-right: 0;
}
.works .item img {
    width: 100%;
    height: 300px;
    background: #fff;
}
.works .item .info {
    width: 100%;
    padding: 10px 15px;
    line-height: 1.2;
    color: #333;
}
.works .item .info .line {
    height: 1px;
    width: 5em;
    margin: 10px 0 5px;
    background-color: #333;
}
.works .worksList .item:hover::before {
    content: "了解更多";
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 300px;
    color: #fff;
    font-size: 20px;
    background-color: rgba(0,0,0,.3);
}
.works .worksList .item:hover {
    background: linear-gradient(285deg, #FDB813 0%, #F5DF4D 100%);
}
.works .worksList .w-page {
    width: 100%;
    margin-top: 1vw;
}

@media only screen and (max-width:1200px) {
    .works .worksList .item {
        width: calc(25vw - 54px);
    }
    .works .item img {
        height: 22vw;
    }
    .works .worksList .item:hover::before {
        height: 22vw;
    }
}
@media only screen and (max-width:700px) {
    .works .worksList .item {
        width: calc(45vw - 26px);
    }
    .works .item img {
        height: 42vw;
    }
    .works .worksList .item:hover::before {
        height: 42vw;
        font-size: 18px;
    }
    .works .item .info {
        padding: 5px 10px;
    }
    .works .worksList .item:nth-child(2n) {
        margin-right: 0;
    }
}